Bug 166191 - Review Request: perl-Class-DBI-Pg : Class::DBI extension for PostgreSQL
Review Request: perl-Class-DBI-Pg : Class::DBI extension for PostgreSQL
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Class-DBI...
:
Depends On: 166184
Blocks: FE-ACCEPT 166188
  Show dependency treegraph
 
Reported: 2005-08-17 16:35 EDT by Tom "spot" Callaway
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 15:05:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch addressing review issues (1.36 KB, patch)
2005-09-02 06:25 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Tom "spot" Callaway 2005-08-17 16:35:07 EDT
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Pg.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Pg-0.06-2.src.rpm

Description: 

Class::DBI extension for PostgreSQL

(NOTE: This package is one of the Maypole dependencies)
Comment 1 Paul Howarth 2005-09-02 06:24:43 EDT
Review:

- rpmlint clean
- package and spec names OK
- package meets guidelines
- license is same as perl, matches spec
- spec written in English and is legible
- sources match upstream
- package builds OK in mock for FC4 (i386)
- BR's mostly OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- redundant BR: perl
- include license text
- add perl(DBD::Pg) BR and probably dep too

Suggestions:

- honor %{?_smp_mflags}
Comment 2 Paul Howarth 2005-09-02 06:25:49 EDT
Created attachment 118385 [details]
Patch addressing review issues
Comment 3 Tom "spot" Callaway 2005-09-04 18:17:57 EDT
For some reason, perl-DBD-Pg does not provide perl(DBD::Pg):

[spot@swoop Maypole]$ rpm -q perl-DBD-Pg --provides
Pg.so
perl-DBD-Pg = 1.43-1
[spot@swoop Maypole]$

So, I incorporated your patch, but used perl-DBD-Pg instead.

All resolved in -3:

SRPM:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Pg-0.06-3.noarch.rpm

SPEC:
http://www.auroralinux.org/people/spot/review/Maypole/perl-Class-DBI-Pg.spec
Comment 4 Paul Howarth 2005-09-05 04:53:13 EDT
Where did that perl-DBD-Pg package come from?

The FC3 and FC4 versions do provide perl(DBD::Pg), and I'd expect the rawhide
one to do so too.

FC3:
# rpm -qi perl-DBD-Pg
Name        : perl-DBD-Pg                  Relocations: (not relocatable)
Version     : 1.31                              Vendor: Red Hat, Inc.
Release     : 6                             Build Date: Wed 16 Jun 2004 02:20:11 BST
Install Date: Mon 05 Sep 2005 09:50:16 BST      Build Host: porky.build.redhat.com
Group       : Development/Languages         Source RPM: perl-DBD-Pg-1.31-6.src.rpm
Size        : 169669                           License: distributable
Signature   : DSA/SHA1, Wed 20 Oct 2004 19:17:49 BST, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://search.cpan.org/search?query=dbd%3A%3Apg
Summary     : A PostgresSQL interface for Perl.
Description :
This package contains an implementation of DBI for PostgreSQL for
Perl.
# rpm -q perl-DBD-Pg --provides
Pg.so
perl(DBD::Pg)
perl-DBD-Pg = 1.31-6

FC4:
$ rpm -qi perl-DBD-Pg
Name        : perl-DBD-Pg                  Relocations: (not relocatable)
Version     : 1.41                              Vendor: Red Hat, Inc.
Release     : 2                             Build Date: Thu 19 May 2005 22:00:34 BST
Install Date: Wed 24 Aug 2005 12:31:53 BST      Build Host: porky.build.redhat.com
Group       : Development/Libraries         Source RPM: perl-DBD-Pg-1.41-2.src.rpm
Size        : 266451                           License: GPL or Artistic
Signature   : DSA/SHA1, Fri 20 May 2005 19:35:44 BST, Key ID b44269d04f2a6fd2
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://search.cpan.org/dist/DBD-Pg/
Summary     : A PostgresSQL interface for perl
Description :
An implementation of DBI for PostgreSQL for Perl.
$ rpm -q perl-DBD-Pg --provides
Pg.so
perl(DBD::Pg) = 1.41
perl-DBD-Pg = 1.41-2

Comment 5 Tom "spot" Callaway 2005-09-07 14:26:48 EDT
Devel:
[spot@swoop Maypole]$ rpm -qi perl-DBD-Pg
Name        : perl-DBD-Pg                  Relocations: (not relocatable)
Version     : 1.43                              Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Tue 28 Jun 2005 06:18:05
PM CDT
Install Date: Wed 06 Jul 2005 07:38:41 PM CDT      Build Host:
tweety.build.redhat.com
Group       : Development/Languages         Source RPM: perl-DBD-Pg-1.43-1.src.rpm
Size        : 246221                           License: GPL or Artistic
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://search.cpan.org/dist/DBD-Pg/
Summary     : A PostgresSQL interface for Perl.
Description :
This package contains an implementation of DBI for PostgreSQL for
Perl.
[spot@swoop Maypole]$ rpm -q perl-DBD-Pg --provides
Pg.so
perl-DBD-Pg = 1.43-1
Comment 6 Paul Howarth 2005-09-08 13:04:15 EDT
The rawhide version of perl-DBD-Pg *should* provide perl(DBD::Pg) = 1.43 (see
bugzilla #167797); the problem lies with the coding style in that package not
meshing with rpm's perl.prov script. However, Ville suggests in that bugzilla
entry that it may be a better idea to require perl-DBD-Pg rather than
perl(DBD::Pg) anyway.

Based on that, I'm happy to approve this package, and leave it to you to decide
what to do about the deps.

Note You need to log in before you can comment on or make changes to this bug.